Subject: FW: Missing symbols for linker called from gcc
From: "Michel, Gustave A CIV N62306" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, "Gus Michel" <[email-masked]>
Date: Thu, 14 Jul 2005 16:50:31 -0400

-----Original Message-----
From: Michel, Gustave A CIV N62306 
Sent: Thursday, July 14, 2005 10:57
To: [email-masked]'
Cc: 'Gus Michel'
Subject: Missing symbols for linker called from gcc

I've recently updated the cygwin (from 1.3.4-3) my standalone Win2K box,
and gcc is failing because of missing symbols.  Here is a session:

   gus@silver /home/gus
   $ uname -a
   CYGWIN_NT-5.0 silver 1.5.18(0.132/4/2) 2005-07-02 20:30 i686 unknown
unknown Cygwin

   gus@silver /home/gus
   $ cat hello.c
   main()
   {
     printf("hello, world\n");
   }

   gus@silver /home/gus
   $ gcc hello.c -o hello.exe
   /usr/lib/libcygwin.a(pseudo-reloc.o)(.text+0x39): undefined reference
to `__RUNTIME_PSEUDO_RELOC_LIST_END__'
   /usr/lib/libcygwin.a(pseudo-reloc.o)(.text+0x4b): undefined reference
to `__RUNTIME_PSEUDO_RELOC_LIST__'
   collect2: ld returned 1 exit status

   gus@silver /home/gus
   $ 

I've tried adding a number of other libraries to the command line, with
no success.  What am I missing?

Reply by Gerrit P. Haase:
Uh, what version of gcc is this?
Probably you'll need to upgrade gcc too.

Gus Michel again:
Thought I had gotten all of the packages; apparently not so.  The gcc
executable is 2.95.3-5 (cygwin special), and the executable is dated
2001-06-17.  Sounds like the problem is located.  

THANKS!

Gus Michel 
Acoustic Analysis and Data Bases Branch, Code N512 
Naval Oceanographic Office 
1003 Balch Blvd 
Stennis Space Center, MS  39522-5001 
Comm. 228/688-5903; FAX 688-5973 

Change:  If it isn't for the better, it's for the worse.